import 'package:freezed_annotation/freezed_annotation.dart';

part 'slider_model.freezed.dart';
part 'slider_model.g.dart';

@freezed
abstract class SliderModel with _$SliderModel {
  const factory SliderModel({List<String>? up, List<String>? down, String? middle}) = _SliderModel;

  factory SliderModel.fromJson(Map<String, dynamic> json) => _$SliderModelFromJson(json);
}
